API Reference
Auto-generated
Public
API reference for public endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/public/hands-demo/challenge
GET
/api/v1/public/hands-demo/challengeDemo Challenge
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/public/hands-demo/challenge \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}POST /api/v1/public/hands-demo/runs
POST
/api/v1/public/hands-demo/runsCreate Demo Run
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| task_id | string | Required | Task Id |
| pow | object | Optional | pow |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/public/hands-demo/runs \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"task_id": "example_task_id"
}'Response Example
JSON
{
"status": "ok"
}GET /api/v1/public/hands-demo/runs/{run_id}/events
GET
/api/v1/public/hands-demo/runs/{run_id}/eventsDemo Run Events
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| run_id | string | Required | run_id |
| after | integer | Optional | after |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/public/hands-demo/runs/<run_id>/events \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}GET /api/v1/public/hands-demo/tasks
GET
/api/v1/public/hands-demo/tasksList Tasks
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/public/hands-demo/tasks \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}